Loading...
Searching...
No Matches
backtrace.h File Reference

Backtrace. More...

`#include <l4/sys/compiler.h>`
Include dependency graph for backtrace.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

L4_BEGIN_DECLS int | l4util_backtrace (void **pc_array, int max_len)
| Fill backtrace structure.

## Detailed Description

Backtrace.

Definition in file backtrace.h.

## Function Documentation

## l4util_backtrace()

L4_BEGIN_DECLS int l4util_backtrace | ( | void ** | pc_array,
|  | int | max_len )

Fill backtrace structure.

Parameters

  pc_array | Array of instruction pointers.
  max_len | Length of array.

Returns
  Number of entries

References L4_END_DECLS.

Referenced by L4::Exception_tracer::Exception_tracer().

Here is the caller graph for this function: